Bug 82232

Summary: [SNB Regression]igt/kms_flip/vblank-vs-modeset-suspend-interruptible fails sporadically
Product: DRI Reporter: Guo Jinxian <jinxianx.guo>
Component: DRM/IntelAssignee: Antti Koskipaa <antti.koskipaa>
Status: CLOSED NOTOURBUG QA Contact: Intel GFX Bugs mailing list <intel-gfx-bugs>
Severity: normal    
Priority: highest CC: intel-gfx-bugs
Version: unspecified   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
dmesg none

Description Guo Jinxian 2014-08-06 08:10:35 UTC
Created attachment 104138 [details]
dmesg

==System Environment==
--------------------------
Regression: Yes. 
Good commit on -next-queued´╝Ü34548e510657af829032f23128c0c01ebe48ef21(I tired 5 times and didn't reproduce this issue)
The fail rate about 1 out of 3

Non-working platforms: SNB

==kernel==
--------------------------
origin/drm-intel-nightly: 79e44bfa10063ee529140e88fdc401c4ce07d644(fails)
    drm-intel-nightly: 2014y-08m-06d-00h-42m-38s integration manifest
origin/drm-intel-next-queued: 414863f8733f79e7e25283499fdede1ca987f216(fails)
    drm/i915: Don't accumulate hangcheck score on forward progress
origin/drm-intel-fixes: 96d56d71a3bcd0a0015034a8f3decc46cb9ec855(fails)
    drm/i915: Fix crash when failing to parse MIPI VBT

==Bug detailed description==
igt/kms_flip/vblank-vs-modeset-suspend-interruptible fails sporadically

Output:
[root@x-sgb4 tests]# ./kms_flip --run-subtest vblank-vs-modeset-suspend-interruptible
IGT-Version: 1.7-gac31f19 (i686) (Linux: 3.16.0_drm-intel-next-queued_414863_20140806+ i686)
Using monotonic timestamps
Beginning vblank-vs-modeset-suspend-interruptible on crtc 8, connector 14
  1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x48 148500
.rtcwake: wakeup from ""mem"" using /dev/rtc0 at Wed Aug  6 14:47:38 2014
Test assertion failure function igt_system_suspend_autoresume, file igt_aux.c:325:
Failed assertion: ret == 0
Last errno: 4, Interrupted system call
Subtest vblank-vs-modeset-suspend-interruptible: FAIL

==Reproduce steps==
---------------------------- 
1. ./kms_flip --run-subtest vblank-vs-modeset-suspend-interruptible
Comment 1 yaoming 2014-09-03 03:05:52 UTC
I tried 20 times on latest -nightly branch and didn't reproduce this issue.

[root@x-sgb4 tests]# uname -a
Linux x-sgb4 3.17.0-rc2_drm-intel-nightly_45cb75_20140902+ #2046 SMP Tue Sep 2 11:33:26 CST 2014 i686 i686 i386 GNU/Linux
[root@x-sgb4 tests]# ./kms_flip --run-subtest vblank-vs-modeset-suspend-interruptible
IGT-Version: 1.7-gf473a55 (i686) (Linux: 3.17.0-rc2_drm-intel-nightly_45cb75_20140902+ i686)
Using monotonic timestamps
Beginning vblank-vs-modeset-suspend-interruptible on crtc 8, connector 14
  1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x48 148500
Beginning vblank-vs-modeset-suspend-interruptible on crtc 12, connector 14
  1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x48 148500
Subtest vblank-vs-modeset-suspend-interruptible: SUCCESS
[root@x-sgb4 tests]# echo $?
0
Comment 2 Jani Nikula 2014-09-03 08:08:52 UTC
(In reply to comment #1)
> I tried 20 times on latest -nightly branch and didn't reproduce this issue.

Ok, thanks for testing, please reopen if the problem comes back.
Comment 3 Guo Jinxian 2014-09-05 07:56:04 UTC
(In reply to comment #1)
> I tried 20 times on latest -nightly branch and didn't reproduce this issue.
> 
> [root@x-sgb4 tests]# uname -a
> Linux x-sgb4 3.17.0-rc2_drm-intel-nightly_45cb75_20140902+ #2046 SMP Tue Sep
> 2 11:33:26 CST 2014 i686 i686 i386 GNU/Linux
> [root@x-sgb4 tests]# ./kms_flip --run-subtest
> vblank-vs-modeset-suspend-interruptible
> IGT-Version: 1.7-gf473a55 (i686) (Linux:
> 3.17.0-rc2_drm-intel-nightly_45cb75_20140902+ i686)
> Using monotonic timestamps
> Beginning vblank-vs-modeset-suspend-interruptible on crtc 8, connector 14
>   1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x48 148500
> Beginning vblank-vs-modeset-suspend-interruptible on crtc 12, connector 14
>   1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x48 148500
> Subtest vblank-vs-modeset-suspend-interruptible: SUCCESS
> [root@x-sgb4 tests]# echo $?
> 0


Verified
Comment 4 Guo Jinxian 2014-10-14 04:23:54 UTC
This failure still able to reproduce sometimes on latest -nightly(ead7d71357628dc1231535886ec09853e9164d6d). The fail rate about 1 out of 3


[root@x-sgb4 tests]# ./kms_flip --run-subtest vblank-vs-modeset-suspend
IGT-Version: 1.8-gca6b63f (i686) (Linux: 3.17.0_drm-intel-nightly_ead7d7_20141013+ i686)
Using monotonic timestamps
Beginning vblank-vs-modeset-suspend on crtc 8, connector 14
  1280x1024 60 1280 1328 1440 1688 1024 1025 1028 1066 0x5 0x48 108000
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 11:58:49 2014
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 11:59:21 2014

vblank-vs-modeset-suspend on crtc 8, connector 14: PASSED

Beginning vblank-vs-modeset-suspend on crtc 12, connector 14
  1280x1024 60 1280 1328 1440 1688 1024 1025 1028 1066 0x5 0x48 108000
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 11:59:53 2014
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 12:00:25 2014
Test assertion failure function igt_system_suspend_autoresume, file igt_aux.c:349:
Failed assertion: ret == 0
Subtest vblank-vs-modeset-suspend: FAIL (3.089s)
[root@x-sgb4 tests]# ./kms_flip --run-subtest vblank-vs-modeset-suspend
IGT-Version: 1.8-gca6b63f (i686) (Linux: 3.17.0_drm-intel-nightly_ead7d7_20141013+ i686)
Using monotonic timestamps
Beginning vblank-vs-modeset-suspend on crtc 8, connector 14
  1280x1024 60 1280 1328 1440 1688 1024 1025 1028 1066 0x5 0x48 108000
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 12:03:25 2014
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 12:03:57 2014

vblank-vs-modeset-suspend on crtc 8, connector 14: PASSED

Beginning vblank-vs-modeset-suspend on crtc 12, connector 14
  1280x1024 60 1280 1328 1440 1688 1024 1025 1028 1066 0x5 0x48 108000
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 12:04:29 2014
Test assertion failure function igt_system_suspend_autoresume, file igt_aux.c:349:
Failed assertion: ret == 0
Subtest vblank-vs-modeset-suspend: FAIL (2.536s)
[root@x-sgb4 tests]# ./kms_flip --run-subtest vblank-vs-modeset-suspend
IGT-Version: 1.8-gca6b63f (i686) (Linux: 3.17.0_drm-intel-nightly_ead7d7_20141013+ i686)
Using monotonic timestamps
Beginning vblank-vs-modeset-suspend on crtc 8, connector 14
  1280x1024 60 1280 1328 1440 1688 1024 1025 1028 1066 0x5 0x48 108000
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 12:05:15 2014
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 12:05:47 2014

vblank-vs-modeset-suspend on crtc 8, connector 14: PASSED

Beginning vblank-vs-modeset-suspend on crtc 12, connector 14
  1280x1024 60 1280 1328 1440 1688 1024 1025 1028 1066 0x5 0x48 108000
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 12:06:19 2014
.rtcwake: wakeup from "mem" using /dev/rtc0 at Tue Oct 14 12:06:51 2014

vblank-vs-modeset-suspend on crtc 12, connector 14: PASSED

Subtest vblank-vs-modeset-suspend: SUCCESS (2.528s)
Comment 5 Daniel Vetter 2014-11-18 09:41:18 UTC
rtcwake failing is not a kernel bug, but an issue with your setup/distro/whatever. With

commit 120d6d1b2c8b3f036058bf2d24d08602dea69ec9
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Tue Nov 18 10:39:38 2014 +0100

    lib/aux: Make it clear that rtcwake failures aren't bugs

igt will now explain this so you can avoid to re-report this again (we've had this a few times by now).
Comment 6 Jari Tahvanainen 2016-10-13 07:47:56 UTC
Closing verified+notourbug.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.